Bug 1120321 - [RFE]Enable copy-on-write clone of images in glance with RBD as backend
Summary: [RFE]Enable copy-on-write clone of images in glance with RBD as backend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: Installer
Assignee: Chris Dearborn
QA Contact: Shai Revivo
URL:
Whiteboard:
: 1120322 (view as bug list)
Depends On: 1120317
Blocks: 1108193
TreeView+ depends on / blocked
 
Reported: 2014-07-16 18:03 UTC by Chris Dearborn
Modified: 2016-09-29 13:32 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1120322 (view as bug list)
Environment:
Last Closed: 2016-09-29 13:32:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Dearborn 2014-07-16 18:03:28 UTC
Description of problem:
When Glance is configured to use rbd as a backend, Ceph requires show_image_direct_url to be set to True to allow copy-on-write clone of an image.
See: http://ceph.com/docs/next/rbd/rbd-openstack/

This bug is to modify astapor (controller_common.pp and glance.pp) so that if the glance backend is "rbd" , then it will pass True for show_image_direct.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Chris Dearborn 2014-07-16 18:05:42 UTC
Taken from http://ceph.com/docs/next/rbd/rbd-openstack/:
Note that this exposes the back end location via Glance’s API, so the endpoint with this option enabled should not be publicly accessible

Comment 4 Mike Burns 2014-09-23 15:07:13 UTC
*** Bug 1120322 has been marked as a duplicate of this bug. ***

Comment 5 Abel Lopez 2014-10-09 18:48:33 UTC
Isn't this related to https://bugs.launchpad.net/nova/+bug/1226351 ?

Comment 6 Chris Dearborn 2014-10-09 21:28:46 UTC
Not really sure.  I'm going by the documentation on the Ceph web site (the link has since changed to this: http://docs.ceph.com/docs/master/rbd/rbd-openstack/)

Comment 10 Jaromir Coufal 2016-09-29 13:32:48 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.